### Option:Plugins.PostgreSQL.System.Path
#	Path to external plugin executable.
#
# Mandatory: yes
# Default:
# Plugins.PostgreSQL.System.Path=

### Option: Plugins.PostgreSQL.CallTimeout
#	The maximum time in seconds for waiting when a request has to be done.
#   Global item-type timeout (or individual item timeout) will override this value if it is greater.
#
# Mandatory: no
# Range: 1-30
# Default:
# Plugins.PostgreSQL.CallTimeout=<Global timeout from Zabbix agent 2 configuration file>

### Option: Plugins.PostgreSQL.Timeout
#	The maximum time in seconds for waiting when a connection has to be established.
#
# Mandatory: no
# Range: 1-30
# Default:
# Plugins.PostgreSQL.Timeout=<Global timeout from Zabbix agent 2 configuration file>

### Option: Plugins.PostgreSQL.KeepAlive
#   Time in seconds for waiting before unused connections will be closed.
#
# Mandatory: no
# Range: 60-900
# Default:
# Plugins.PostgreSQL.KeepAlive=300

### Option: Plugins.PostgreSQL.CustomQueriesPath
#	Full pathname of a directory containing *.sql* files with custom queries.
#
# Mandatory: no
# Default:
# Plugins.PostgreSQL.CustomQueriesPath=

### Option: Plugins.PostgreSQL.Sessions.*.Uri
#	Uri to connect. "*" should be replaced with a session name.
#
# Mandatory: no
# Range:
#   Must match the URI format.
#   Supported schemas: "tcp" and "unix".
#   Embedded credentials will be ignored.
# Default:
# Plugins.PostgreSQL.Sessions.*.Uri=

### Option: Plugins.PostgreSQL.Sessions.*.User
#	Username for session connection. "*" should be replaced with a session name.
#
# Mandatory: no
# Range: Must match the PostgreSQL user name.
# Default:
# Plugins.PostgreSQL.Sessions.*.User=

### Option: Plugins.PostgreSQL.Sessions.*.Password
#	Password for session connection. "*" should be replaced with a session name.
#
# Mandatory: no
# Range: Must match the Password format.
# Default:
# Plugins.PostgreSQL.Sessions.*.Password=

### Option: Plugins.PostgreSQL.Sessions.*.Database
#	Database for session connection. "*" should be replaced with a session name.
#
# Mandatory: no
# Default:
# Plugins.PostgreSQL.Sessions.*.Database=

### Option: Plugins.PostgreSQL.Sessions.*.TLSConnect
#	Encryption type for PostgreSQL connection. "*" should be replaced with a session name.
#		require/required        - connect using TLS as transport mode without identity checks, acts like verify-ca if ca 
#               file is provided;
#		verify-ca/verify_ca     - connect using TLS and verify certificate;
#		verify-full/verify_full - connect using TLS, verify certificate and verify that database identity (CN) specified
#				by DBHost matches its certificate;
#	Undefined encryption type means unencrypted connection.
#
# Mandatory: no
# Default:
# Plugins.PostgreSQL.Sessions.*.TLSConnect=

### Option: Plugins.PostgreSQL.Sessions.*.TLSCAFile
#	Full pathname of a file containing the top-level CA(s) certificate
#	peer certificate verification.
#
# Mandatory: no
# Default:
# Plugins.PostgreSQL.Sessions.*.TLSCAFile=

### Option: Plugins.PostgreSQL.Sessions.*.TLSCertFile
#	Full pathname of a file containing the PostgreSQL certificate or certificate chain.
#
# Mandatory: no
# Default:
# Plugins.PostgreSQL.Sessions.*.TLSCertFile=

### Option: Plugins.PostgreSQL.Sessions.*.TLSKeyFile
#	Full pathname of a file containing the PostgreSQL private key.
#
# Mandatory: no
# Default:
# Plugins.PostgreSQL.Sessions.*.TLSKeyFile=

### Option: Plugins.PostgreSQL.Sessions.*.CacheMode
#   Cache mode for PostgreSQL connection. "*" should be replaced with a session name.
#		prepare - will create prepared statements on the PostgreSQL server.;
#		describe - will use the anonymous prepared statement to describe a statement without creating a statement on the
#       server.
#
# Mandatory: no
# Default: prepare
# Plugins.PostgreSQL.Sessions.*.CacheMode=

### Option: Plugins.PostgreSQL.Default.Uri
#	Uri to connect. Default value used if no other is specified.
#
# Mandatory: no
# Range:
#   Must matches the URI format.
#   Supported schemas: "tcp" and "unix".
#   Embedded credentials will be ignored.
# Default:
# Plugins.PostgreSQL.Default.Uri=

### Option: Plugins.PostgreSQL.Default.User
#	Username for session connection. Default value used if no other is specified.
#
# Mandatory: no
# Range: Must matches PostgreSQL user name.
# Default:
# Plugins.PostgreSQL.Default.User=

### Option: Plugins.PostgreSQL.Default.Password
#	Password for session connection. Default value used if no other is specified.
#
# Mandatory: no
# Range: Must matches the Password format.
# Default:
# Plugins.PostgreSQL.Default.Password=

### Option: Plugins.PostgreSQL.Default.Database
#	Database for session connection. Default value used if no other is specified.
#
# Mandatory: no
# Default:
# Plugins.PostgreSQL.Default.Database=

### Option: Plugins.PostgreSQL.Default.TLSConnect
#	Encryption type for Postgres connection. Default value used if no other is specified.
#		tls connection required     - required
#		verifies certificates       - verify_ca
#		verify certificates and ip  - verify_full
#
# Mandatory: no
# Default:
# Plugins.PostgreSQL.Default.TLSConnect=

### Option: Plugins.PostgreSQL.Default.TLSCAFile
#	Full pathname of a file containing the top-level CA(s) certificate
#	peer certificate verification. Default value used if no other is specified.
#
# Mandatory: no
# Default:
# Plugins.PostgreSQL.Default.TLSCAFile=

### Option: Plugins.PostgreSQL.Default.TLSCertFile
#	Full pathname of a file containing the postgres certificate or certificate chain. 
#   Default value used if no other is specified.
#
# Mandatory: no
# Default:
# Plugins.PostgreSQL.Default.TLSCertFile=

### Option: Plugins.PostgreSQL.Default.TLSKeyFile
#	Full pathname of a file containing the postgres private key. Default value used if no other is specified.
#
# Mandatory: no
# Default:
# Plugins.PostgreSQL.Default.TLSKeyFile=

### Option: Plugins.PostgreSQL.Default.CacheMode
#   Cache mode for PostgreSQL connection.
#		prepare - will create prepared statements on the PostgreSQL server.;
#		describe - will use the anonymous prepared statement to describe a statement without creating a statement on the
#       server.
#
# Mandatory: no
# Default: prepare
# Plugins.PostgreSQL.Default.CacheMode=
